<?
function preprocess () { ?>
require(qcc)
<?	if (getRK_val ("descriptives")=="TRUE") { ?>
require(xtable)
<?	}
}

function calculate () {
}

function printout () {
	doPrintout (true);
}

function cleanup () { ?>
rm (list=grep ("^rk.temp", ls (), value=TRUE))
<?
}

function preview () {
	preprocess ();
	calculate ();
	doPrintout (false);
	cleanup ();
}

function doPrintout ($final) {
	$vars = getRK_val ("x");
	$descriptives = getRK_val ("descriptives")=="TRUE";
	$plot = getRK_val ("plot")=="TRUE";
?>
rk.temp.x <- (<? echo ($vars); ?>)
if(is.factor(rk.temp.x)) {
	rk.temp.x <- summary(rk.temp.x)
} 

<?	if ($final) { ?>
rk.header ("Pareto chart")
<?	if ($plot) { ?>
rk.graph.on ()
<?	}
}
?>
try ({
	rk.temp.descriptives <- pareto.chart(rk.temp.x<? getRK ("plotoptions.code.printout"); ?>)
<?	if ($final && $descriptives) { ?>
	rk.print(xtable(rk.temp.descriptives))
<?	} ?>
})
<?	if ($final) { 
if ($plot) { ?>
rk.graph.off ()
<? }
}
}
?>
